> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Raw Actions

> Fetch raw actions (all underlying actions) for a specific integration within a Strata MCP instance.



## OpenAPI

````yaml get /mcp-server/strata/{strataId}/raw-actions
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/strata/{strataId}/raw-actions:
    get:
      tags:
        - mcp-server
      summary: List Raw Actions
      description: >-
        Fetch raw actions (all underlying actions) for a specific integration
        within a Strata MCP instance.
      operationId: list_strata_raw_actions_mcp_server_strata__strataId__raw_actions_get
      parameters:
        - name: strataId
          in: path
          required: true
          schema:
            type: string
            title: Strataid
            description: The strata server ID
          description: The strata server ID
        - name: server
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/McpServerName'
            minLength: 1
            description: The name of the server to fetch raw actions for
          description: The name of the server to fetch raw actions for
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StrataRawActionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    McpServerName:
      type: string
      enum:
        - Affinity
        - Airtable
        - Amplitude
        - Asana
        - Attio
        - Box
        - Brave Search
        - Cal.com
        - Canva
        - ClickUp
        - Close
        - Cloudflare
        - Coinbase
        - Confluence
        - Dialpad
        - Discord
        - Doc2markdown
        - DocuSign
        - Dropbox
        - ElevenLabs
        - Exa
        - Fathom
        - Fetch URL
        - Figma
        - Fireflies
        - Firecrawl Deep Research
        - Firecrawl Web Search
        - Freshdesk
        - GitHub
        - GitLab
        - Gmail
        - Gong
        - Google Calendar
        - Google Docs
        - Google Drive
        - Google Jobs
        - Google Sheets
        - Google Forms
        - Google Cloud
        - GoogleWorkspaceAtlas
        - Hacker News
        - Heygen
        - HubSpot
        - Intercom
        - Jira
        - Klaviyo
        - Klavis ReportGen
        - Linear
        - LinkedIn
        - Markdown2doc
        - Mem0
        - Microsoft Teams
        - Mixpanel
        - Monday
        - Moneybird
        - Motion
        - Notion
        - OneDrive
        - Openrouter
        - Outlook Mail
        - Outlook Calendar
        - PagerDuty
        - Pipedrive
        - Plai
        - Postgres
        - PostHog
        - Postman
        - QuickBooks
        - Resend
        - Salesforce
        - SendGrid
        - Shopify
        - Slack
        - Snowflake
        - Stripe
        - Supabase
        - Tavily
        - Vercel
        - WhatsApp
        - WordPress
        - YouTube
        - Zendesk
        - ServiceNow
        - PayPal
        - Sentry
        - Netlify
        - Hugging Face
        - Square
        - Clockwise
        - Jotform
        - Honeycomb
        - Zoho Mail
        - Sharesight
        - Weights and Biases
        - Instagram
        - MongoDB
      title: McpServerName
    StrataRawActionsResponse:
      properties:
        strataId:
          type: string
          title: Strataid
          description: The strata server ID
        server:
          type: string
          title: Server
          description: The requested server name
        result:
          additionalProperties: true
          type: object
          title: Result
          description: Map of categories to raw actions
      type: object
      required:
        - strataId
        - server
      title: StrataRawActionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````